@import "./vars.scss";

.ts-choose-area {
  position: relative;
  z-index: 1;
  overflow: hidden;

  &::before {
    position: absolute;
    content: "";
    height: 100%;
    width: 230px;
    right: 0;
    top: 0;
    background-color: $main-color;
    z-index: -1;
  }
}
.ts-choose-content {
  span {
    color: $main-color;
    display: inline-block;
    margin-bottom: 15px;
  }
  h3 {
    font-size: 48px;
    font-weight: 500;
    margin-bottom: 15px;

    span {
      color: $optional-color;
      margin-bottom: 0;
    }
  }
  p {
    color: $paragraph-color;
    margin-bottom: 0;
  }
  .choose-inner-card {
    margin-top: 25px;
    position: relative;
    z-index: 1;
    padding-left: 120px;

    &::before {
      position: absolute;
      content: "";
      height: 135px;
      width: 1px;
      background-color: #c4c7d1;
      left: 90px;
      top: 0;
      z-index: -1;
    }
    &:last-child {
      &::before {
        height: 100%;
      }
    }
    .icon {
      position: absolute;
      left: 0;
      top: 0;
      z-index: 1;
      display: inline-block;
      padding: 10px 0 0 10px;

      &::before {
        position: absolute;
        content: "";
        height: 40px;
        width: 40px;
        background-color: $main-color;
        opacity: 0.1;
        left: 0;
        top: 0;
        border-radius: 50px;
        z-index: -1;
      }
    }
    h4 {
      font-size: 20px;
      font-weight: 600;
      margin-bottom: 15px;
    }
    p {
      color: $paragraph-color;
    }
  }
}
.ts-choose-image {
  padding: 0px 0 95px 55px;
  .text {
    padding: {
      top: 35px;
      left: 75px;
    }
    span {
      font-size: 20px;
      font-weight: 600;
      color: $dark-color;
    }
  }
}
.ts-choose-shape {
  position: absolute;
  right: 0;
  bottom: 0;
  z-index: -1;
}
